"use strict";
var filenamify = require("filenamify");
var path = require("path");
var fs = require("fs");
var mkdirp = require("mkdirp");
var log_1 = require("../log");
var HtmlReporter = (function () {
    function HtmlReporter() {
    }
    HtmlReporter.prototype.writeTestReport = function (testName, reports, outPath) {
        log_1.logDebug("writeTestReport called using HtmlReporter after test: " + testName + "...");
        var safeFilename = filenamify(testName) + '.html';
        var newFilePath = path.resolve(outPath, safeFilename);
        mkdirp.sync(outPath);
        fs.writeFileSync(newFilePath, 'asdasdasd');
    };
    return HtmlReporter;
}());
exports.HtmlReporter = HtmlReporter;
//# sourceMappingURL=html-reporter.js.map