"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
require("../polyfills/fetch");
var meteor_1 = require("./meteor");
var MeteorJSAccountsStressTest = (function (_super) {
    __extends(MeteorJSAccountsStressTest, _super);
    function MeteorJSAccountsStressTest() {
        return _super.apply(this, arguments) || this;
    }
    MeteorJSAccountsStressTest.prototype.configureAccountsClient = function (accountsTransport, origin) {
        this.accountsTransport = accountsTransport;
        this.clientOrigin = origin;
    };
    MeteorJSAccountsStressTest.prototype.connect = function (ddpUrl) {
        return _super.prototype.connect.call(this, ddpUrl);
    };
    MeteorJSAccountsStressTest.prototype.disconnect = function () {
        return _super.prototype.disconnect.call(this);
    };
    MeteorJSAccountsStressTest.prototype.login = function (username, email, password) {
        var _this = this;
        var user = _super.prototype.getValidUser.call(this, email, username);
        var headers = { origin: this.clientOrigin };
        return this.accountsTransport.loginWithPassword(user, password, headers)
            .then(this.transformToLoginToken)
            .then(function (res) { return Promise.all([
            // We resolve with the result so we can keep the original function signature
            // and still wait for the meteor call to return.
            Promise.resolve(res),
            _super.prototype.call.call(_this, 'jsaccounts/validateLogin', res.token),
        ]); })
            .then(function (_a) {
            var res = _a[0];
            return res;
        });
    };
    MeteorJSAccountsStressTest.prototype.transformToLoginToken = function (loginResult) {
        return {
            id: loginResult.user.id,
            token: loginResult.tokens.accessToken,
            tokenExpires: new Date(),
        };
    };
    return MeteorJSAccountsStressTest;
}(meteor_1.MeteorStressTest));
exports.MeteorJSAccountsStressTest = MeteorJSAccountsStressTest;
//# sourceMappingURL=meteor-jsaccounts.js.map