"use strict";
var rawConsole = require("console");
var chalk = require("chalk");
exports.DEBUG = !!process.env.DEBUG;
exports.log = function (text, color) {
    if (color === void 0) { color = 'white'; }
    rawConsole.info(chalk[color](text));
};
exports.logDebug = function (text, color) {
    if (color === void 0) { color = 'white'; }
    if (!exports.DEBUG) {
        return;
    }
    rawConsole.info(chalk[color](text));
};
exports.bgLog = function (text, color) {
    if (color === void 0) { color = 'white'; }
    rawConsole.info(chalk[color].inverse(text));
};
//# sourceMappingURL=log.js.map